Bug Hunting Session
Bug 90996 - EDITING: comment is erased when dragging formula vertically
Summary: EDITING: comment is erased when dragging formula vertically
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-01 16:49 UTC by Stéphane Couturier
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test cases (10.26 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-05-01 16:49 UTC, Stéphane Couturier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Couturier 2015-05-01 16:49:45 UTC
Created attachment 115243 [details]
test cases

Expected behaviour:

Using the bottom right of the cell to drag and copy text/value/formula from a cell to paste them into another cell that has a comment, the text/value/formula is copied and the comment is expected to be kept, not deleted.

Problem description: 

This is not the case only when dragging a formula and vertically.
The comment is erase.
In any other case (vertically text/value and horizontally text/value/formula)


Steps to reproduce:
1. fill a cell with a formula. e.g. =100+10
2. fill another cell below and insert a comment to it
3. drag the content of the first cell above, and drag down to paste it
4. the comment is deleted


Attached file with various test cases.

Thanks,
Comment 1 Stéphane Couturier 2015-05-01 16:54:17 UTC
huh... now I reopen the attached file, all comments have disappeared... 
maybe a different problem.
Comment 2 raal 2015-05-02 06:36:00 UTC
I can confirm with Version: 5.0.0.0.alpha1+
Build ID: 59adad74084e9281887e3f78a225794f37b784d7
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-29_12:40:39

fill down delete comment, fill right doesn't delete comment


regression, works in LibreOffice 3.5.0 
Build ID: d6cde02
Comment 3 Matthew Francis 2015-05-04 08:26:34 UTC
This began at the below commit.

commit dcca10d4e26d4602d9ac4f0b340b52c31fe086e3
Author: Kohei Yoshida <kohei.yoshida@collabora.com>
Date:   Fri Jan 31 21:06:34 2014 -0500

    Special case for formula cell fill down for quicker filling.
    
    Change-Id: Ia03aa4c042b22551deacf4d7a58c9492a0a13a66
Comment 4 Mike Kaganski 2015-06-04 14:15:24 UTC
Submitted patch to gerrit: https://gerrit.libreoffice.org/16085
Comment 5 Commit Notification 2015-06-04 15:38:16 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a977937927729eaff61bd670fdd45d3508b19371

tdf#90996: don't overwrite comments in ScTable::FillFormulaVertical

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-06-04 16:44:02 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2519e0aca7c0d479f7ff381d95929dbe47942503&h=libreoffice-5-0

tdf#90996: don't overwrite comments in ScTable::FillFormulaVertical

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-12 07:46:14 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c6ef19d3dd27bc0069bd9414f46193ce44b8bd2&h=libreoffice-4-4

tdf#90996: don't overwrite comments in ScTable::FillFormulaVertical

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:00:26 UTC Comment hidden (obsolete)